# Generated by Django 2.1.7 on 2021-04-05 14:59

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
from django.db.models import Q
from operators.models import OperatorModel

def operator_int_to_inst(apps, scheme_editor):

    ignore_list = ["LogEntry", "Permission", "Group", "User", "Session", "ContentType", "Token", "Task", "Success", "Failure", "Schedule", "OrmQ", "CompanyModel", "OperatorModel", "GlobalPreferenceModel"]
    for model in django.apps.apps.get_models():
        if model.__name__ not in ignore_list and not model.__name__.startswith('Historical') :
            objects =  model.objects.all()
            for instance in objects: 
                try:
                    operator_id = 1 if instance.operator == 0 else instance.operator
                    operator_instance = OperatorModel.objects.get(ID=operator_id)
                    instance.operator_instance = operator_instance
                    instance.save()
                except Exception as e:
                    print(e)
                    pass

def operator_inst_to_int(apps, scheme_editor):
    
    ignore_list = ["LogEntry", "Permission", "Group", "User", "Session", "ContentType", "Token", "Task", "Success", "Failure", "Schedule", "OrmQ", "CompanyModel", "OperatorModel", "GlobalPreferenceModel"]
    for model in django.apps.apps.get_models():
        if model.__name__ not in ignore_list and not model.__name__.startswith('Historical') :
            objects =  model.objects.all()
            for instance in objects: 
                operator_id = instance.operator_instance.ID
                instance.operator = operator_id
                instance.save()

class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0002_create_operators'),
        ('communications', '0008_auto_20210504_1201'),
        ('customers', '0008_auto_20210504_1201'),
        ('drives', '0002_auto_20210504_1201'),
        ('escalation_ti', '0015_auto_20210504_1201'),
        ('formerCustomers', '0027_auto_20210504_1201'),
        ('qc', '0013_auto_20210504_1201'),
        ('tech_support', '0010_auto_20210504_1201'),
        ('tickets', '0025_auto_20210504_1201'),
        ('users', '0007_auto_20210504_1201')
    ]

    operations = [
        migrations.RunPython(operator_int_to_inst, operator_inst_to_int)
    ]
